hwy::HWY_NAMESPACE::detail::ForeachCappedR< T, kMul, kMinArg, Test > Struct Template Reference

`#include <test_util-inl.h>`

## Static Public Member Functions

static void | Do (size_t min_lanes, size_t max_lanes)

## Member Function Documentation

## Do()

template<typename T , size_t kMul, size_t kMinArg, class Test >

static void hwy::HWY_NAMESPACE::detail::ForeachCappedR< T, kMul, kMinArg, Test >::Do | ( | size_t | min_lanes,
|  | size_t | max_lanes
| ) |  |

inline static

References hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::detail::ForeachCappedR< T, kMul, kMinArg, Test >::Do(), and hwy::HWY_NAMESPACE::Lanes().

Referenced by hwy::HWY_NAMESPACE::detail::ForeachCappedR< T, kMul, kMinArg, Test >::Do(), hwy::HWY_NAMESPACE::ForPartialVectors< Test >::operator()(), hwy::HWY_NAMESPACE::ForPromoteVectors< Test, kPow2 >::operator()(), hwy::HWY_NAMESPACE::ForDemoteVectors< Test, kPow2 >::operator()(), and hwy::HWY_NAMESPACE::ForHalfVectors< Test, kPow2 >::operator()().

The documentation for this struct was generated from the following file:

- test_util-inl.h